package org.xyzh.common.dto.resource;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 资源推荐表
 * @filename TbResourceRecommend.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbResourceRecommend extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 资源ID
     */
    private String resourceID;
    
    /**
     * @description 排序号
     */
    private Integer orderNum;
    
    /**
     * @description 推荐理由
     */
    private String reason;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getResourceID() {
        return resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbResourceRecommend{" +
                "id=" + getID() +
                ", resourceID='" + resourceID + '\'' +
                ", orderNum=" + orderNum +
                ", reason='" + reason + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
